=== debian/changelog ===
okular (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:48:47 +0100

okular (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:57:56 +0100

okular (4:22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend extra backends and qtspeech plugin.
    - Kubuntu breaks/replaces versions.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 08:42:37 +0100

okular (4:22.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Jul 2022 05:35:11 +0200

okular (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:36:02 +0100

okular (4:22.04.2-2ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend extra backends and qtspeech plugin.
    - Kubuntu breaks/replaces versions.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 07:39:01 +0100

okular (4:22.04.2-2) unstable; urgency=medium

  * Team upload.
  * Release to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Jul 2022 14:27:35 +0200

okular (4:22.04.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Jun 2022 08:02:25 +0200

okular (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:10:45 +0100

okular (4:22.04.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.15.2
    - add kirigami2-dev, explicitly needed for the mobile UI
  * Rename libokular5core9 to libokular5core10, according to the upstream
    SONAME bump.
  * Update install files.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jun 2022 08:39:09 +0200

okular (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * New build depend on kirigami2-dev
  * Rename core library according to upstream SONAME bump:
    - libokular5core9 -> libokular5core10
  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:10:02 +0100

okular (4:21.12.3-2) unstable; urgency=medium

  * Rebuild with latest version of Poppler from unstable to enable support for
    PDF signatures. (Closes: #1008033)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 21 Mar 2022 10:22:39 +0100

okular (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 15:22:01 +0100

okular (4:21.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Drop the dbgsym migration, no more needed after two Debian stable releases.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Feb 2022 08:50:35 +0100
