=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -26,7 +25,7 @@
                libkf5doctools-dev (>= 5.68.0~),
                libkf5i18n-dev (>= 5.68.0~),
                libkf5iconthemes-dev (>= 5.68.0~),
-               libkf5kexiv2-dev (>= 22.08.1~),
+               libkf5kexiv2-dev (>= 5.68.0~),
                libkf5khtml-dev (>= 5.68.0~),
                libkf5kio-dev (>= 5.68.0~),
                libkf5kjs-dev (>= 5.68.0~),
@@ -42,26 +41,27 @@
                libphonon4qt5experimental-dev,
                libpoppler-qt5-dev (>= 0.86.0~),
                libqca-qt5-2-dev (>= 2.1.0~),
-               libqmobipocket-dev (>= 4:22.08.1~),
-               libqt5svg5-dev (>= 5.13.0~),
+               libqmobipocket-dev (>= 4:17.08~),
+               libqt5svg5-dev (>= 5.15.2~),
                libqt5texttospeech5-dev (>= 5.12.0~),
                libspectre-dev (>= 0.2~),
                libtiff-dev,
                libzip-dev,
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
+               qtbase5-private-dev,
                qtdeclarative5-dev (>= 5.15.2~),
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/okular
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular
 
 Package: libokular5core10
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: libraries for the Okular document viewer
  This package contains libraries used by the Okular document viewer.
  .
@@ -70,18 +70,14 @@
 Package: okular
 Section: graphics
 Architecture: any
-Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
-Recommends: cups-bsd, okular-extra-backends, qtspeech5-flite-plugin
+Depends: kinit, ${misc:Depends}, ${shlibs:Depends},
+Recommends: cups-bsd,
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,
           texlive-binaries,
           unrar,
-Provides: pdf-viewer, postscript-viewer
-Breaks: kdegraphics-mobipocket (<< 4:4.12),
-        okular-extra-backends (<< 4:16.12.0),
-        okular-mobile (<< 4:17.04.1-0),
-Replaces: okular-extra-backends (<< 4:16.12.0), okular-mobile (<< 4:17.04.1-0)
+Provides: pdf-viewer, postscript-viewer,
 Description: universal document viewer
  Okular is a universal document viewer with support for advanced document
  features, such as annotations, forms, and embedded files.
@@ -109,7 +105,8 @@
          libkf5coreaddons-dev (>= 5.68.0~),
          libkf5xmlgui-dev (>= 5.68.0~),
          libokular5core10 (= ${binary:Version}),
-         qtbase5-dev (>= 5.13.0~),
+         qtbase5-dev (>= 5.15.2~),
+         qtbase5-private-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: development files for the Okular libraries
  This package contains development files for building Okular document format
@@ -119,11 +116,9 @@
 
 Package: okular-extra-backends
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: okular
-Provides: djvu-viewer
-Breaks: okular (<< 4:20.08.0-1~)
-Replaces: okular (<< 4:20.08.0-1~)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: okular,
+Provides: djvu-viewer,
 Description: additional document format support for Okular
  These plugins allow Okular to view additional document formats:
   * DeJaVu Format
@@ -142,8 +137,6 @@
          qml-module-qtquick2 (>= 5.12.0~),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: okular (<< 4:17.12.2~)
-Replaces: okular (<< 4:17.12.2~)
 Description: mobile support for Okular - QML modules
  This package contains the QML module for interfacing with the Okular core
  library.
@@ -167,7 +160,7 @@
           poppler-data,
           texlive-binaries,
           unrar,
-Recommends: okular
+Recommends: okular,
 Description: mobile support for Okular
  These plugins allow Okular to view additional document formats for mobile:
   * Portable Document Format (PDF)
