=== debian/changelog ===
okular (4:23.08.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Sep 2023 19:24:18 +0200

okular (4:23.08.1-1) experimental; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).
  * Add build-dep on libqt5x11extras5-dev, required by cmake.
  * Bump libokular5core soname to 11 and update deps.

 -- Jesse Rhodes <jesse@sney.ca>  Thu, 21 Sep 2023 13:04:02 -0400
