=== debian/control ===
--- 
+++ 
@@ -44,6 +44,7 @@
                libqmobipocket-dev (>= 4:17.08~),
                libqt5svg5-dev (>= 5.15.2~),
                libqt5texttospeech5-dev (>= 5.12.0~),
+               libqt5x11extras5-dev,
                libspectre-dev (>= 0.2~),
                libtiff-dev,
                libzip-dev,
@@ -58,7 +59,7 @@
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular
 
-Package: libokular5core10
+Package: libokular5core11
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
@@ -104,7 +105,7 @@
 Depends: libkf5config-dev (>= 5.68.0~),
          libkf5coreaddons-dev (>= 5.68.0~),
          libkf5xmlgui-dev (>= 5.68.0~),
-         libokular5core10 (= ${binary:Version}),
+         libokular5core11 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          qtbase5-private-dev (>= 5.15.2~),
          ${misc:Depends},
